-- Pseudorandom Numbers Library v1.0 by LJ Sonic
-- These functions are synchronized with the server.

local t, x, y, z, w = 0, 5197528, 3154710, 9406548, 1028369

rawset(_G, "A_Random", function()
	t = x ^^ (x << 11)
	x, y, z, w = y, z, w, w ^^ (w >> 19) ^^ t ^^ (t >> 8)
	return w
end)

rawset(_G, "A_RandomKey", function(n) return abs(A_Random() % n) end)
rawset(_G, "A_RandomRange", function(a, b) return a + abs(A_Random() % (b - a + 1)) end)
rawset(_G, "A_RandomDatas", function() return d end)

addHook("NetVars", function(net)  -- I guess this didn't exist when the script was originally created? oh well, now it's here
    t, x, y, z, w = net(t), net(x), net(y), net(z), net(w)
end)

addHook("MapChange", do
    x, y, z, w = x + leveltime, y, z, w
end)
